# Poco::Net

# class HTTPServerConnectionFactory

Library: Net
Package: HTTPServer
Header: Poco/Net/HTTPServerConnectionFactory.h

## Description

This implementation of a TCPServerConnectionFactory is used by HTTPServer to create HTTPServerConnection objects.

## Inheritance

Direct Base Classes: TCPServerConnectionFactory

All Base Classes: TCPServerConnectionFactory

## Member Summary

Member Functions: createConnection

Inherited Functions: createConnection

## Constructors

### HTTPServerConnectionFactory

HTTPServerConnectionFactory(
HTTPServerParams::Ptr pParams,
HTTPRequestHandlerFactory::Ptr pFactory
);

Creates the HTTPServerConnectionFactory.

## Destructor

### ~HTTPServerConnectionFactory

~HTTPServerConnectionFactory();

Destroys the HTTPServerConnectionFactory.

## Member Functions

### createConnection

TCPServerConnection * createConnection(
const StreamSocket & socket
);

Creates an instance of HTTPServerConnection using the given StreamSocket.

See also: Poco::Net::TCPServerConnectionFactory::createConnection()